# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

# norootforbuild

%define my_provides	/tmp/my-provides
%define _prefix		/usr

%if 0%{?suse_version} >= 1010
%define _with_freebob	1
%else
%define _with_freebob	0
%endif

%define _enable_tmpdir	1
%if "%{_enable_tmpdir}" == "1"
%define _jack_tmpdir	/dev/shm
%endif

%define _enable_capabilities	0

Name:			jack
Summary:		Jack Audio Connection Kit
Version:		0.109.2
Release:		3.18
License:		GPL
Group:			System/Sound Daemons
Source:			%{name}-audio-connection-kit-%{version}.tar.gz
Source10:		%{name}-README.SuSE
Patch0:			%{name}-ppc-fix.diff
URL:			http://jackit.sourceforge.net
Provides:		jack-audio-connection-kit
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
BuildRequires:	alsa-devel
BuildRequires:	gcc-c++
BuildRequires:	doxygen
BuildRequires:	flac-devel
#BuildRequires:	ghostscript hpijs-standalone
%if "%{_with_freebob}" == "1"
BuildRequires:	libavc1394-devel
BuildRequires:	libfreebob-devel >= 1.0
BuildRequires:	libiec61883-devel
BuildRequires:	libxml2-devel
%endif
%if "%{_enable_capabilities}" == "1"
BuildRequires:	libcap-devel
%endif
BuildRequires:	libsndfile-devel >= 1.0
BuildRequires:	readline-devel
BuildRequires:	pkgconfig
#BuildRequires:	portaudio-devel
#BuildRequires:	tetex
Requires:		alsa
Requires:		libjack0 >= 0.109.0

%description
JACK is a low-latency audio server written primarily for the Linux
operating system. It can connect a number of different applications
to an audio device, as well as allow them to share audio between
themselves. Its clients can run in their own processes (as a normal
application), or they can run within a JACK server (as a plug-in).

%package -n libjack0
Summary:	Shared library to access JACK
Group:		System/Libraries
Provides:	libjack = 0.103.0
Obsoletes:	libjack <= 0.103.0

%description -n libjack0
This package contains the shared library to access JACK (Jack
Audio Connection Kit).

%package -n libjack-devel
Summary:	Development package for jack
Group:		Development/Libraries/C and C++
Requires:	libjack0 = %{version}
Requires:	alsa-devel
Requires:	flac-devel
%if "%{_with_freebob}" == "1"
Requires:	libavc1394-devel
Requires:	libfreebob-devel >= 1.0
Requires:	libiec61883-devel
Requires:	libxml2-devel
%endif
%if "%{_enable_capabilities}" == "1"
Requires:	libcap-devel
%endif
Requires:	libsndfile-devel
Requires:	readline-devel
Requires:	pkgconfig
#Requires:	portaudio-devel
Provides:	jack-audio-connection-kit-devel
Provides:	jack-devel = 0.103.0
Obsoletes:	jack-devel <= 0.103.0
Provides:	libjack-devel = 0.103.0
Obsoletes:	libjack-devel <= 0.103.0

%description -n libjack-devel
This package contains the files needed to compile programs that
communicates jack clients/servers.

%package example-clients
Summary:	Example clients that use Jack
Group:		Productivity/Multimedia/Sound/Utilities
Requires:	%{name} = %{version}

%description example-clients
Small example clients that use the Jack Audio Connection Kit.

%if "%{_with_freebob}" == "1"
%package freebob
Summary:	Freebob plugin for jack
Group:		System/Sound Daemons

%description freebob
Freebob plugin for the Jack Audio Connection Kit.

Author: see AUTHORS
%endif

%debug_package

%prep
%setup -q -n %{name}-audio-connection-kit-%{version}
%patch
libtoolize -f
aclocal -I config
automake -a -c -f
autoconf

%{?suse_update_config:%{suse_update_config -f}}

#%__sed -i -e 's|HAVE_READLINE="false"|HAVE_READLINE="true"|g' \
#	configure

%build
%define warn_flags -W -Wall -Wstrict-prototypes -Wpointer-arith -Wno-unused-parameter
CFLAGS="$RPM_OPT_FLAGS %{warn_flags}"
export CFLAGS
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--disable-optimize \
	--enable-timestamps \
	--disable-ensure-mlock \
	--enable-resize \
%if "%{_enable_capabilities}" == "1"
	--enable-capabilities \
%endif
%if "%{_enable_tmpdir}" == "1"
	--with-default-tmpdir=%{_jack_tmpdir} \
%endif
	--with-html-dir=%{_docdir}/%{name}
# disabled see https://bugzilla.novell.com/show_bug.cgi?id=337972
#	--enable-posix-shm \

%__make %{?jobs:-j%{jobs}}

%install
%__make DESTDIR=%{buildroot} install

%if "%{_enable_capabilities}" == "1"
	# make jackstart suid root
	%__chmod 04755 %{buildroot}%{_bindir}/jackstart
%else
	%__rm -f %{buildroot}%{_mandir}/man1/jackstart*
%endif

%__install -dm 755 %{buildroot}%{_docdir}/%{name}
%__install -m 644 AUTHORS COPYING* README* TODO \
	%{buildroot}%{_docdir}/%{name}
%__install -m 644 %{SOURCE10} \
	%{buildroot}%{_docdir}/%{name}/README.SuSE

# exclude plugins from the provide-list
%__cat << EOF > %{my_provides}
grep -v %{buildroot}%{_libdir}/jack | %{__find_provides}
EOF
chmod 755 %{my_provides}
%define __find_provides %{my_provides}

%post -n libjack0 -p /sbin/ldconfig

%postun -n libjack0 -p /sbin/ldconfig

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && %__rm -rf %{buildroot}
%__rm -f %{my_provides}

%files
%defattr(-, root, root)
%doc %dir %{_docdir}/%{name}
%doc %{_docdir}/%{name}/AUTHORS
%doc %{_docdir}/%{name}/COPYING*
%doc %{_docdir}/%{name}/README*
%doc %{_docdir}/%{name}/TODO
%doc %{_mandir}/man1/*
%if "%{_enable_capabilities}" == "1"
%attr(4755, root, root) %{_bindir}/jackstart
%doc %{_mandir}/man1/jackstart*
%endif
%{_bindir}/jackd
%{_bindir}/jack_bufsize
%{_bindir}/jack_freewheel
%{_bindir}/jack_load
%{_bindir}/jack_transport
%{_bindir}/jack_unload
%dir %{_libdir}/%{name}
%if "%{_with_freebob}" == "1"
%exclude %{_libdir}/%{name}/jack_freebob.so
%endif
%{_libdir}/%{name}/*.so

%if "%{_with_freebob}" == "1"
%files freebob
%defattr(-, root, root)
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/jack_freebob.so
%endif

%files -n libjack0
%defattr(-, root, root)
%{_libdir}/lib*.so.*

%files -n libjack-devel
%defattr(-, root, root)
%doc %dir %{_docdir}/%{name}
%doc %{_docdir}/%{name}/reference
%{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_libdir}/%{name}/*.*a
%{_libdir}/pkgconfig/*
%{_includedir}/%{name}

%files example-clients
%defattr(-,root,root)
%doc %{_docdir}/%{name}/AUTHORS
%doc %{_docdir}/%{name}/COPYING*
%{_bindir}/jackrec
%{_bindir}/jack_alias
#%{_bindir}/jack_bufsize
%{_bindir}/jack_connect
%{_bindir}/jack_disconnect
%{_bindir}/jack_evmon
#%{_bindir}/jack_freewheel
%{_bindir}/jack_impulse_grabber
%{_bindir}/jack_lsp
#%{_bindir}/jack_load
%{_bindir}/jack_metro
%{_bindir}/jack_midiseq
%{_bindir}/jack_midisine
%{_bindir}/jack_monitor_client
%{_bindir}/jack_showtime
%{_bindir}/jack_simple_client
#%{_bindir}/jack_transport
#%{_bindir}/jack_unload

%changelog
* Tue Jan 29 2008 Carsten Schoene <cs@linux-administrator.com>
- import for SLE_10 build

